> ## Documentation Index
> Fetch the complete documentation index at: https://developers.datagrid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List channel members



## OpenAPI

````yaml get /channels/{channel_id}/members
openapi: 3.0.3
info:
  version: 0.1.1
  title: Datagrid API
  description: Datagrid API
servers:
  - url: https://api.datagrid.com/v1
security:
  - BearerAuth: []
paths:
  /channels/{channel_id}/members:
    parameters:
      - $ref: '#/components/parameters/channel_id'
    get:
      tags:
        - Channels
      summary: List channel members
      operationId: Channels.listMembers
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/after'
        - $ref: '#/components/parameters/before'
        - name: q
          in: query
          schema:
            type: string
            maxLength: 200
          description: Case-insensitive actor-name substring.
        - name: actor_type
          in: query
          schema:
            $ref: '#/components/schemas/ChannelActorType'
      responses:
        '200':
          description: Member list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChannelMemberList'
components:
  parameters:
    channel_id:
      name: channel_id
      in: path
      required: true
      schema:
        type: string
    limit:
      name: limit
      in: query
      schema:
        type: integer
        default: 50
        minimum: 1
        maximum: 100
      required: false
      description: The limit on the number of objects to return, ranging between 1 and 100.
    after:
      name: after
      in: query
      schema:
        type: string
      required: false
      description: >-
        A cursor to use in pagination. `after` is an object ID that defines your
        place in the list. For example, if you make a list request and receive
        100 objects, ending with `obj_foo`, your subsequent call can include
        `after=obj_foo` to fetch the next page of the list.
    before:
      name: before
      in: query
      schema:
        type: string
      required: false
      description: >-
        A cursor to use in pagination. `before` is an object ID that defines
        your place in the list. For example, if you make a list request and
        receive 100 objects, starting with `obj_bar`, your subsequent call can
        include `before=obj_bar` to fetch the previous page of the list.
  schemas:
    ChannelActorType:
      type: string
      enum:
        - user
        - agent
    ChannelMemberList:
      type: object
      required:
        - object
        - data
      properties:
        object:
          type: string
          enum:
            - list
        data:
          type: array
          items:
            $ref: '#/components/schemas/ChannelMember'
        has_more:
          type: boolean
    ChannelMember:
      type: object
      required:
        - object
        - id
        - channel_id
        - actor
        - created_at
      properties:
        object:
          type: string
          enum:
            - channel.member
        id:
          type: string
        channel_id:
          type: string
        actor:
          $ref: '#/components/schemas/ChannelActor'
        created_at:
          type: string
          format: date-time
    ChannelActor:
      type: object
      required:
        - id
        - type
      properties:
        id:
          type: string
        type:
          $ref: '#/components/schemas/ChannelActorType'
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````